#!/bin/bash

(cd /repo/
    fdroid init

    sed -i                                                     \
        -e "/repo_url/s .* repo_url:\ https://$BASE_URL/repo " \
        -e "/repo_name/s .* repo_name:\ \"$REPO_NAME\" "       \
        config.yml

    fdroid update -c
)

if [ -n "$PUID" ]; then
    chown -R "$PUID:$PGID" /repo/
fi
